Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.pattern
Class AbstractPatternConverter

    java.lang.Object
      org.apache.logging.log4j.core.pattern.AbstractPatternConverter

All Implemented Interfaces:
  PatternConverter

Direct Known Subclasses:
  IntegerPatternConverter, LogEventPatternConverter

    public abstract class AbstractPatternConverter

extends Object
implements PatternConverter

AbstractPatternConverter is an abstract class that provides the formatting functionality that derived classes need.

Conversion specifiers in a conversion patterns are parsed to individual PatternConverters. Each of which is responsible for converting an object in a converter specific manner.

Field Summary
`protected static org.apache.logging.log4j.Logger` | `LOGGER` Allow subclasses access to the status logger.

Fields inherited from interface org.apache.logging.log4j.core.pattern.PatternConverter
`CATEGORY`

Constructor Summary
`protected` | `AbstractPatternConverter(String name, String style)` Create a new pattern converter.

Method Summary
`String` | `getName()` This method returns the name of the conversion pattern.
`String` | `getStyleClass(Object e)` This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.logging.log4j.core.pattern.PatternConverter
`format`

Field Detail

### LOGGER

    protected static final org.apache.logging.log4j.Logger LOGGER

  Allow subclasses access to the status logger.

Constructor Detail

### AbstractPatternConverter

    protected AbstractPatternConverter(String name,
                                       String style)

  Create a new pattern converter.

  Parameters:
    `name` - name for pattern converter.
    `style` - CSS style for formatted output.

Method Detail

### getName

    public final String getName()

  This method returns the name of the conversion pattern.

  The name can be useful to certain Layouts such as HtmlLayout.

  Specified by:
    `getName` in interface `PatternConverter`
  Returns:
    the name of the conversion pattern

### getStyleClass

    public String getStyleClass(Object e)

  This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null.

  This information is currently used only by HtmlLayout.

  Specified by:
    `getStyleClass` in interface `PatternConverter`
  Parameters:
    `e` - null values are accepted
  Returns:
    the name of the conversion pattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.